#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Photolab_green_blue_channel_switcher python-fu pour Gimp 2.6
# Copyright Raymond Ostertag 2009
# Licence GPL

# Version 1.0
# - initial release

# Installation : put the photolab_green_blue_channel_switcher.py file in your $HOME/.gimp-2.n/plug-ins.
# On Linux and Mac OSX the file must be executable.
# Documentation : http://www.gimp.org/docs/python/index.html

from gimpfu import *
import os, glob

# i18n
#
import gettext
locale_directory = gimp.locale_directory
gettext.install( "gimp20-photolab" , locale_directory, unicode=True )

#
Photolab_green_blue_channel_switcher_help = _("Switch green and blue channels. For colorblind peoples who can not see full intensity of light in green or blue channels.")                                
Photolab_green_blue_channel_switcher_description = Photolab_green_blue_channel_switcher_help
#

# dialog parameters
#
Standalone_parameters = [
  (PF_IMAGE, "inImage", "Input image", None),
  (PF_DRAWABLE, "inLayer", "Input drawable", None),
]
Photolab_green_blue_channel_switcher_parameters = [
#put here main script parameters
]  

# main
#                                         
def python_fu_photolab_green_blue_channel_switcher( 
  inImage,
  inDrawable,
  ): 
  pdb.gimp_image_undo_group_start( inImage )
  #write here the process
  monochrome = 0 #FALSE
  rr_gain = 1.0
  rg_gain = 0.0
  rb_gain = 0.0
  gr_gain = 0.0
  gg_gain = 0.0
  gb_gain = 1.0
  br_gain = 0.0
  bg_gain = 1.0  
  bb_gain = 0.0
  pdb.plug_in_colors_channel_mixer( inImage, inDrawable, monochrome, rr_gain, rg_gain, rb_gain, gr_gain, gg_gain, gb_gain, br_gain, bg_gain, bb_gain )
  pdb.gimp_image_undo_group_end( inImage )

register(
  "python-fu-photolab-green_blue_channel_switcher",
  Photolab_green_blue_channel_switcher_description,
  Photolab_green_blue_channel_switcher_help,
  "Raymond Ostertag",
  "GPL License",
  "2009",
  _("green/blue channels switcher"),
  "*",
  Standalone_parameters + Photolab_green_blue_channel_switcher_parameters,
  [],
  python_fu_photolab_green_blue_channel_switcher,
  menu="<Image>/Colors"+"/"+_("Colorblind tools"),
  domain=("gimp20-photolab", locale_directory)   
  )

main()
